Subject: [os2genau_digest] No. 645
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Mon, 23 Jun 2003 00:02:03 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Sunday 22 June 2003
 Number  645
**************************************************

Subjects for today
 
1  Re:  Networking with XP : Mike O'Connor" <mikeoc at dodo dot com dot au>
2  Re:  Changing .CLASSINFO ? : Mike O'Connor" <mikeoc at dodo dot com dot au>
3  Re:  The "Kill it" button : Mark Dodel" <madodel at ptdprolog dot net>
4  Re:  Networking OS/2 & win2k : Paul Smedley" <paul at smedley.info>
5  Re:  Networking with XP : Peter Rehfisch" <gillpete at vic.australis dot com dot au>

**= Email   1 ==========================**

Date:  Sun, 22 Jun 2003 00:13:53 +1000
From:  "Mike O'Connor" <mikeoc at dodo dot com dot au>
Subject:  Re:  Networking with XP

Peter Rehfisch wrote:

>Thanks, Ed, NETBEUI now installed onto the XP computer but still no luck.
>
>David Forrester wrote
>  
>
>>- If you do a "net view \\xxxxx" from each machine (with the
>>appropriate names for xxxxx), what is the response?
>>    
>>
>Each sees only itself. Each reports "Network path not found" for the other.
>
>>- Can you ping the other machines?  This is just to prove the
>>networking is working between them.
>>    
>>
>Yes. Tower IP=192.168.1.1       Laptop IP=192.168.1.2
>
>>- Have you setup a userid on each machine for the userid used on the
>>other machine?
>>    
>>
>Isn't this only when setting up access controls? 
>
Security! Security! M$'s middle name!! :-) :-)

>>- Do they both have the same DOMAIN name or WorkGroup name?
>>    
>>
>Yes. Laptop(XP) workgroup and Tower(OS/2) domain both IBMPEERS.
>  
>
Hi Peter,
I've found that to get them to talk together you have to have the OS/2 
user set-up as a user - on the WNT+ machine - with administrator 
priviledges. Ditto on the OS/2 machine. Only know up to W2K, no XP 
contact required or wanted.  
Did you ever have anything previously networked to/from the OS/2 machine?
Regards,
Mike

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Sun, 22 Jun 2003 04:33:22 +1000
From:  "Mike O'Connor" <mikeoc at dodo dot com dot au>
Subject:  Re:  Changing .CLASSINFO ?

Bruce Rossi wrote:

>Hello Mike,
>
>My assumption is that a folder class is also registered in OS2SYS.INI, so when the folder is 
>copied to a new system, that link is broken & it assumes the default folder class there.
>
>I selectively copied files, directories & directory branches with ZTBold which is supposed to 
>copy the EAs as well, in the hope that most would not need re-installing. This is proving to be not 
>so true.
>
>  
>
>>From:  "Mike O'Connor" <mikeoc at dodo dot com dot au>
>>Subject:  Re:  Changing .CLASSINFO ?
>>
>>Bruce Rossi wrote:
>>    
>>
>>>With a new HD and the original installs copied across, of course their class is lost.
>>>I can re-register the class but how to change the object's class to this ?
>>>
This is where Object Desktop's Object Inspector comes to the fore - as 
well as letting you do things like make the 'B' floppy invisible in the 
Drives Object!

>>Hi Bruce,
>>I don't quite follow what you're saying.  When you say "original 
>>installs copied across", why would they ever  lose their class?  Are you 
>>cloning a system to a new drive?  Did you try zipping the entire drive 
>>and unzipping it on the new HD?
>>Regards,
>>Mike
>>    
>>
Hi Bruce,
Thanks for being so patient. I have used FM/2 for the past 6 years or so 
- it's now a freeware item as Mark Kimes, the author, and superb 
[former] OS/2 programmer, allowed Stevine Levine to take over ongoing 
development of the program - it's available at:

 http://home.earthlink dot net/~steve53/MarkKimesTools/

It allows you to do various copies [with/without rename] WPS-copy 
amongst them.
I have and use 100% of the time Object Desktop V2.04 - there was a copy 
on eBay very cheap the other day - I bought mine from Mensys a couple of 
years ago, to upgrade my original 1995[?] version 1.52, which had a few 
less features - the Pro 1.52 was similar to V2.0. One of the features is 
an Object Packager which lets you pick up Objects, along with all their 
associated class registration details, drop it onto some other system 
that's running on  completely different hardware - desktop etc and it 
just recreates the objects in their folders and registering any 
necessary classes.  In addition you can edit the paths of the 
class-implementing DLLs, to point to other drives, when you've 
moved/duplicated something.

Unimaint also has an archiving feature that will let you specify 
additional items that are in os2.ini/config.sys  and unarchive to some 
other desktop.

If moving stuff from one drive to another use the WPS Drag'n'Drop if you 
want the properties to remain with the Objects.

HTH

Regards,
Mike

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Sat, 21 Jun 2003 19:05:42 -0300
From:  "Mark Dodel" <madodel at ptdprolog dot net>
Subject:  Re:  The "Kill it" button

In <0049114220.00006JFZ at server1.os2site dot com>, on 06/21/03 at 12:42 PM,
   "Michael Barrow" <thebarrows at iinet dot net dot au> said:

>Greetings,
>Does anyone know how to create the "switch to another application" button
>that is on the ecomcenter bar as in ecs 1.0.
>The ability to hold the control key and bring up the list of all threads
>running is what I really want so I can kill threads that have lost their
>way. How can I do it in ecs1.1?

As Ed already suggested you can add the wtask widget to eCenter which
mimics the task list on WarpCenter and will allow you to kill a process by
doing a Ctrl-click on it.  The other thing to note is that if you have SET
KILLFEATUREENABLED=ON in config.sys (required for both of the previous as
well) you can just right click on an item in the window list widget and in
the menu will be an item to Kill the process.  

Mark

-- 

 From the eComStation Desktop of: Mark Dodel

Warpstock 2002, In the home of OS/2 - Austin, Texas.  Were you there?   http://www.warpstock dot org

For a choice in the future of personal computing, Join VOICE - http://www.os2voice dot org

  "The liberty of a democracy is not safe if the people tolerate the growth of private power to a point where it becomes stronger than their democratic State itself.   That in it's essence, is Fascism - ownership of government by an individual, by a group or by any controlling private power." Franklin Delano Roosevelt, Message proposing the Monopoly Investigation, 1938 

----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Sun, 22 Jun 2003 10:19:56 +0950 (CST)
From:  "Paul Smedley" <paul at smedley.info>
Subject:  Re:  Networking OS/2 & win2k

Glenn,

On Sat, 21 Jun 2003 20:58:28 +1000, Glenn Montgomery wrote:
>Is there any way of setting it up so that the win2k machine can initiate
>a dial out via the warp machine so the win2k can surf, and then hang up
>as well, or does this have to be done at the warp machine (which would
>be a pain for my wife!!).

If you use the Injoy dialer - there's a setting to make it dial out based on certain IP activity - 
in which case loading a website for eg on Win2k, would cause Injoy to dial-out if there 
wasn't already a connection.

Hope this helps,

Paul.

----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Sun, 22 Jun 2003 20:05:07 +1100
From:  "Peter Rehfisch" <gillpete at vic.australis dot com dot au>
Subject:  Re:  Networking with XP

Mike O'Connor wrote-
>I've found that to get them to talk together you have to have the OS/2 
>user set-up as a user - on the WNT+ machine - with administrator 
>priviledges. Ditto on the OS/2 machine. Only know up to W2K, no XP 
>contact required or wanted.  
>Did you ever have anything previously networked to/from the OS/2 machine?
Until now, only OS/2 to OS/2, but I wanted to avoid the double rebooting. 
Now the Laptop booting to OS/2 can share files with the Tower booting to Win98 (Workgroup=IBMPEERS and protocol NETBEUI), and without User accounts set up.

On the OS/2 tower , I set up access through Shared Resources and Network Connections -> Users with Administrator priviledges, but the XP latop still can't see it. On the XP laptop, I went to Control Panel -> User Accounts and set up an account for TOWER ( or is this only for different desktops?).  But still...  

Ed Durrant wrote-
>Try net view \\tower from the XP box and net view \\laptop from the warp box - what
>results ?
Both report "Network path not found"

----------------------------------------------------------------------------------